Athena
Api key rights

Create a new API key right

Defines a reusable right/capability string that can be granted to one or more API keys.

POST
/admin/api-key-rights

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Request Body

application/json

name*string
description?|

Response Body

application/json

application/json

curl -X POST "https://athena-cluster.com/admin/api-key-rights" \  -H "apikey: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "right": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "status": "error",
  "message": "string",
  "error": "string"
}